JEVersion (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Class JEVersion

- java.lang.Object
- - com.sleepycat.je.JEVersion

- All Implemented Interfaces:
    Serializable, Comparable<JEVersion>

      public class JEVersion
      extends Object
      implements Comparable<JEVersion>, Serializable

  Berkeley DB Java Edition version information. Versions consist of major, minor and patch numbers.

  There is one JEVersion object per running JVM and it may be accessed using the static field JEVersion.CURRENT_VERSION.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JEVersion` | `CURRENT_VERSION` Release version.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JEVersion(String version)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(JEVersion comparedVersion)`
    `boolean` | `equals(Object o)`
    `int` | `getMajor()` Major number of the release version.
    `int` | `getMinor()` Minor number of the release version.
    `String` | `getNumericVersionString()` The numeric version string, without the patch tag.
    `int` | `getPatch()` Patch number of the release version.
    `String` | `getVersionString()` Release version, suitable for display.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CURRENT_VERSION

          public static final JEVersion CURRENT_VERSION

      Release version.

  - ### Constructor Detail

    - #### JEVersion

          public JEVersion(String version)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMajor

          public int getMajor()

      Major number of the release version.
      Returns:
        The major number of the release version.

    - #### getMinor

          public int getMinor()

      Minor number of the release version.
      Returns:
        The minor number of the release version.

    - #### getPatch

          public int getPatch()

      Patch number of the release version.
      Returns:
        The patch number of the release version.

    - #### getNumericVersionString

          public String getNumericVersionString()

      The numeric version string, without the patch tag.
      Returns:
        The release version

    - #### getVersionString

          public String getVersionString()

      Release version, suitable for display.
      Returns:
        The release version, suitable for display.

    - #### compareTo

          public int compareTo(JEVersion comparedVersion)

      Specified by:
        `compareTo` in interface `Comparable<JEVersion>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.